[Mongrel] Mongrel Crashes in Production

Till Mossakowski lists at ruby-forum.com
Wed May 21 08:41:40 EDT 2008


The problem is that the method reset_application! is no longer available 
in rails 2.0, but Mongrel 1.1.4 is still using it in 
lib/mongrel/rails.rb.

I think you should be able to fix this problem by commenting out the 
line

trap("HUP") { log "HUP signal received."; reload!          }

in /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/rails.rb.

Till
-- 
Posted via http://www.ruby-forum.com/.


More information about the Mongrel-users mailing list